# Market Maker Bot

The easiest way to be a market maker is to create a bot that will monitor price feeds and submit limit orders above and below the current price. This way, you create markets and receive a 0.03% rebate on the amount traded, plus any extra market maker rewards that come from swap trades.

The current iteration of Enoki Exchange and the Market Maker Bot mints and trades test tokens, so don't be afraid to try it out.

We have created a demo bot that you can use. This Market Maker Bot retrieves pricing data from CoinGecko and uses it to set limit buy and sell orders. To make sure you receive the exchange rebates, you can set `allow_taker` to `false`.

Check it out, and follow the instructions on the root project on how to run the bot:

{% embed url="<https://github.com/enoki-dex/enoki_exchange/tree/main/market_maker_bot>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enoki.ooo/smart-contracts/market-maker-bot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
